/* Asteroids3D - a first person game of blowing up asteroids
 * Copyright (C) 2000 Stuart Mark Pomerantz
 *
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  Stuart Pomerantz
 *  3935 Stonecliffe drive
 *  Monroeville, PA 15146
 *  stuart@pitt.edu
 */
 
#include "asteroids3D.h"


void slide_alongx(float d) {
	extern vector xaxis ;
	extern vector thrust ;

	thrust.x += xaxis.x*d ;
	thrust.y += xaxis.y*d ;
	thrust.z += xaxis.z*d ;

	return ;
}

void slide_alongy(float d) {
	extern vector yaxis ;
	extern vector thrust ;

	thrust.x += yaxis.x*d ;
	thrust.y += yaxis.y*d ;
	thrust.z += yaxis.z*d ;

	return ;
}

void slide_alongz(float d) {
	extern vector zaxis ;
	extern vector thrust ;

	thrust.x += zaxis.x*d ;
	thrust.y += zaxis.y*d ;
	thrust.z += zaxis.z*d ;
	
	return ;
}


void turn_aboutx(float t) {
	extern vector rotation ;
	
	rotation.x += t ;
	
	return ;
}


void turn_abouty(float t) {
	extern vector rotation ;
	
	rotation.y += t ;
	
	return ;
}

void turn_aboutz(float t) {
	extern vector rotation ;
	
	rotation.z += t ;
	
	return ;
}
